<?php
chdir('../../');
// Turn on debugging level
$Vtiger_Utils_Log = true;
// Include necessary classes
include_once('vtlib/Vtiger/Module.php');
// Define instances
$users = Vtiger_Module::getInstance('Potentialfield'); #Cambiar Potentials por el nombre del módulo
// Nouvelle instance pour le nouveau bloc
$block = Vtiger_Block::getInstance('Configuracion Principal', $users); #Poder el nombre del bloque donde irá el campo, sacar de la tabla "vtiger_blocks"
die;

// Add field
$fieldInstance = new Vtiger_Field();
$fieldInstance->name = 'block';			              // "fieldname" debe ir en minuscula
$fieldInstance->table = 'vtiger_potentialfield';                         // tabla principals del módulo
$fieldInstance->column = 'block';		                     //"columnname" debe ir en minuscula
$fieldInstance->label = 'Bloque';		            //el label del campo
$fieldInstance->columntype = 'varchar(50)';	    //
$fieldInstance->uitype = 16;			                   //uitype 1 : texto, uitype10 :  texto relacionado
$fieldInstance->displaytype = 1; // 1: Editable, 2: Solo lectura, 3: Oculto
$fieldInstance->typeofdata = 'V~O';	  //V=Varchar?, M=Mandatory, O=Optional
$fieldInstance->setPicklistValues(['NO_DATA']);

$block->addField($fieldInstance)



?>

